Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.random
Interface NormalC

All Known Subinterfaces:
  LogNormalDistC, NormalDistC

All Known Implementing Classes:
  NormalDistCImpl, LogNormalDistCImpl

public interface NormalC
extends DoubleDistributionC, DoubleDistributionS

Internal.

Method Summary
`java.lang.Object` | `create$setGenerator$setMean$setStdDev(Zone aZone, SimpleRandomGenerator simpleGenerator, double mean, double sdev)` Use this create message if the generator to be attached is a Simple one and you wish to specify the standard deviation:
`java.lang.Object` | `create$setGenerator$setMean$setVariance(Zone aZone, SimpleRandomGenerator simpleGenerator, double mean, double variance)` Use this create message if the generator to be attached is a Simple one and you wish to specify the variance:
`java.lang.Object` | `create$setGenerator$setVirtualGenerator$setMean$setStdDev(Zone aZone, SplitRandomGenerator splitGenerator, int vGen, double mean, double sdev)` Use this create message if the generator to be attached is a Split one and you wish to specify the standard deviation:
`java.lang.Object` | `create$setGenerator$setVirtualGenerator$setMean$setVariance(Zone aZone, SplitRandomGenerator splitGenerator, int vGen, double mean, double variance)` Use this create message if the generator to be attached is a Split one and you wish to specify the variance:

Methods inherited from interface swarm.random.ProbabilityDistributionC
`create$setGenerator, create$setGenerator$setVirtualGenerator, createWithDefaults`

Methods inherited from interface swarm.defobj.CreateC
`create, createBegin, createEnd`

Methods inherited from interface swarm.defobj.CustomizeC
`customizeBegin, customizeCopy, customizeEnd`

Method Detail

### create$setGenerator$setMean$setVariance

    public java.lang.Object create$setGenerator$setMean$setVariance(Zone aZone,
                                                                    SimpleRandomGenerator simpleGenerator,
                                                                    double mean,
                                                                    double variance)

  Use this create message if the generator to be attached is a Simple one and you wish to specify the variance:

### create$setGenerator$setMean$setStdDev

    public java.lang.Object create$setGenerator$setMean$setStdDev(Zone aZone,
                                                                  SimpleRandomGenerator simpleGenerator,
                                                                  double mean,
                                                                  double sdev)

  Use this create message if the generator to be attached is a Simple one and you wish to specify the standard deviation:

### create$setGenerator$setVirtualGenerator$setMean$setVariance

    public java.lang.Object create$setGenerator$setVirtualGenerator$setMean$setVariance(Zone aZone,
                                                                                        SplitRandomGenerator splitGenerator,
                                                                                        int vGen,
                                                                                        double mean,
                                                                                        double variance)

  Use this create message if the generator to be attached is a Split one and you wish to specify the variance:

### create$setGenerator$setVirtualGenerator$setMean$setStdDev

    public java.lang.Object create$setGenerator$setVirtualGenerator$setMean$setStdDev(Zone aZone,
                                                                                      SplitRandomGenerator splitGenerator,
                                                                                      int vGen,
                                                                                      double mean,
                                                                                      double sdev)

  Use this create message if the generator to be attached is a Split one and you wish to specify the standard deviation:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD